package dev.micle.xptools.util;

public class EnumUtils {
    public static <T extends Enum<?>> T valueOf(Class<T> clazz, String name) {
        for (T e : clazz.getEnumConstants()) {
            if (e.name().equalsIgnoreCase(name)) {
                return e;
            }
        }
        return null;
    }

    public static <T extends Enum<?>> T valueOfOrDefault(Class<T> clazz, String name, T defaultValue) {
        T value = valueOf(clazz, name);
        return (value == null) ? defaultValue : value;
    }
}
